> For a complete documentation index, fetch https://docs.voximplant.ai/llms.txt

# GetKeys

POST https://api.voximplant.com/platform_api/GetKeys

Gets key info of the specified account.

**Example request:** Get keys info of the specified account.

Reference: https://docs.voximplant.ai/api-reference/management-api/reference/role-system/get-keys

## Authentication

- `Authorization` header (bearer token, required) — Voximplant Management API uses signed JWT tokens generated from your service-account private key. Pass the token in the `Authorization` header as a Bearer value: ``` Authorization: Bearer $VOXIMPLANT_TOKEN ``` See [Authorization](/api-reference/management-api/authorization) for ready-to-copy snippets in bash, Python, Node.js and Go that turn your `credentials.json` into a token.

## Request

### Query parameters

- `key_id` (string, optional) — The key's ID
- `with_roles` (boolean, optional) — Whether to show roles for the key
- `offset` (integer, optional) — The first **N** records are skipped in the output
- `count` (integer, optional) — The max returning record count

## Response

### 200

Successful response

- `result` (list of KeyView, optional)
- `total count` (integer, optional)
- `count` (integer, optional)

## Types

### KeyView

The [GetKeys] function result.

- `key_id` (string, optional) — The key ID
- `roles` (list of RoleView, optional) — The key roles
- `description` (string, optional, nullable) — The key description
- `subuser` (KeyViewSubuser, optional) — The key subuser
- `key_name` (string, optional) — The key's name

### RoleView

The role view.

- `role_name` (string, optional) — The role name
- `role_id` (integer, optional) — The role ID
- `inherited` (boolean, optional) — Whether the role is inherited
- `child_ids` (list of integer, optional) — Child roles IDs array
- `parent_role_id` (list of integer, optional) — Parent roles IDs array
- `gui_only` (boolean, optional) — Whether the role is gui only
- `name` (string, optional)

### KeyViewSubuser

The key subuser

### KeyViewSubuser1

- `subuser_name` (string, optional)
- `subuser_id` (integer, optional)

## Examples

**Response**

```json
{
  "result": [
    {
      "key_id": "8fef2dfc-500d-4923-847d-28062d6dad16",
      "roles": [
        {
          "role_name": "Accountant",
          "role_id": 7
        },
        {
          "role_name": "Support",
          "role_id": 3
        },
        {
          "role_name": "TestRole",
          "role_id": 14
        }
      ],
      "description": null
    },
    {
      "key_id": "fae19af6-9960-4091-a7fe-a8b88c15aaec",
      "roles": [],
      "description": null,
      "subuser": {
        "subuser_name": "tt",
        "subuser_id": 276
      }
    },
    {
      "key_id": "6fb5e821-3760-4373-9610-f0694fa326e8",
      "roles": [],
      "description": null
    }
  ],
  "total count": 3,
  "count": 3
}
```

**SDK Code**

```python Example 1
import requests

url = "https://api.voximplant.com/platform_api/GetKeys"

headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, headers=headers)

print(response.json())
```

```javascript Example 1
const url = 'https://api.voximplant.com/platform_api/GetKeys';
const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Example 1
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.voximplant.com/platform_api/GetKeys"

	req, _ := http.NewRequest("POST", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Example 1
require 'uri'
require 'net/http'

url = URI("https://api.voximplant.com/platform_api/GetKeys")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Example 1
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.voximplant.com/platform_api/GetKeys")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Example 1
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.voximplant.com/platform_api/GetKeys', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Example 1
using RestSharp;

var client = new RestClient("https://api.voximplant.com/platform_api/GetKeys");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Example 1
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.voximplant.com/platform_api/GetKeys")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```